Uploaded image for project: 'Apache Arrow'
  1. Apache Arrow
  2. ARROW-8611

[R] Can't install arrow 0.17 on Ubuntu 18.04 R 3.6.3

    XMLWordPrintableJSON

Details

    • Improvement
    • Status: Closed
    • Major
    • Resolution: Information Provided
    • None
    • 1.0.0
    • None
    • None

    Description

      This is the error I get when I try to install it. How do I provide more info to help you diagnose? Seems to be an issue with Thrift which I have built on my machine.

       

      How do I remove thrift and install it?

       

      "Unable to locate package libthrift-dev " when I try `sudo apt install libthrift-dev`

       

       

        • testing if installed package can be loaded from temporary location
          Error: package or namespace load failed for ‘arrow’ in dyn.load(file, DLLpath = DLLpath, ...):
          unable to load shared object '/home/xiaodai/R/x86_64-pc-linux-gnu-library/3.6/00LOCK-arrow/00new/arrow/libs/arrow.so':
          /home/xiaodai/R/x86_64-pc-linux-gnu-library/3.6/00LOCK-arrow/00new/arrow/libs/arrow.so: undefined symbol: _ZTIN6apache6thrift8protocol9TProtocolE
          Error: loading failed
          Execution halted
          ERROR: loading failed
      • removing ‘/home/xiaodai/R/x86_64-pc-linux-gnu-library/3.6/arrow’
      • restoring previous ‘/home/xiaodai/R/x86_64-pc-linux-gnu-library/3.6/arrow’

      The downloaded source packages are in
      ‘/tmp/RtmpUF6P1q/downloaded_packages’
      Warning message:
      In install.packages("arrow") :
      installation of package ‘arrow’ had non-zero exit status

      Attachments

        Activity

          People

            npr Neal Richardson
            xiaodai Zhuo Jia Dai
            Votes:
            0 Vote for this issue
            Watchers:
            4 Start watching this issue

            Dates

              Created:
              Updated:
              Resolved: